Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.ant
Class XMLDBXQueryTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.XMLDBXQueryTask

public class XMLDBXQueryTask
extends AbstractXMLDBTask

Ant task to execute an XQuery.

The query is either passed as nested text in the element, or via an attribute "query" or via a URL or via a query file. External variables declared in the XQuery can be set via one or more nested <variable> elements.

Author:
  peter.klotz@blue-elephant-systems.com

Nested Class Summary
`static class` | `XMLDBXQueryTask.Variable` Defines a nested element to set an XQuery variable

Constructor Summary
`XMLDBXQueryTask()`

Method Summary
`void` | `addText(java.lang.String text)`
`void` | `addVariable(XMLDBXQueryTask.Variable variable)`
`void` | `execute()`
`void` | `setDestDir(java.io.File destDir)`
`void` | `setOutputproperty(java.lang.String outputproperty)`
`void` | `setQuery(java.lang.String query)`
`void` | `setQueryFile(java.io.File queryFile)`
`void` | `setQueryUri(java.lang.String queryUri)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBXQueryTask

    public XMLDBXQueryTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### addText

    public void addText(java.lang.String text)

### setQuery

    public void setQuery(java.lang.String query)

### setQueryFile

    public void setQueryFile(java.io.File queryFile)

### setQueryUri

    public void setQueryUri(java.lang.String queryUri)

### setDestDir

    public void setDestDir(java.io.File destDir)

### addVariable

    public void addVariable(XMLDBXQueryTask.Variable variable)

### setOutputproperty

    public void setOutputproperty(java.lang.String outputproperty)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.